﻿/* Utilising descendant combinator to achieve page specific rules */
#api .intro,
#api .heading,

/* Is page in use? */
.auto_selfAssertedError #continue,

.auto_selfAssertedAccountDeletion #requiredFieldMissing.error.pageLevel,

.auto_selfAssertedChangePassword #requiredFieldMissing.error.pageLevel,
.auto_selfAssertedChangePassword #fieldIncorrect.error.pageLevel,
.auto_selfAssertedChangePassword .error.itemLevel.show.forceHidden,
.auto_selfAssertedChangePassword button#emailVerificationControl_but_send_new_code,

.auto_selfAssertedChangePasswordSetPassword .error.pageLevel,
.auto_selfAssertedChangePasswordSetPassword .error.itemLevel.show.forceHidden,
.auto_selfAssertedChangePasswordSetPassword .Readonly,

.auto_selfAssertedChangePasswordVerifyEmail.error.itemLevel.show.forceHidden,
.auto_selfAssertedChangePasswordVerifyEmail button#emailVerificationControl_but_send_new_code,
.auto_selfAssertedChangePasswordVerifyEmail #continue,
.auto_selfAssertedChangePasswordVerifyEmail .error.pageLevel,

.auto_selfAssertedEmailUpdate .error.pageLevel,
.auto_selfAssertedEmailUpdate button#emailVerificationControl_but_send_new_code,
.auto_selfAssertedEmailUpdate #continue,

.auto_selfAssertedFederatedEmailEntry .error.pageLevel,

.auto_selfAssertedUserEmailRecovery .error.pageLevel,

/* Is page in use? */
.b2cSecurityQuestionsScreen #requiredFieldMissing,
.b2cSecurityQuestionsScreen #fieldIncorrect,

.auto_selfAssertedJitMigration .Readonly,
.auto_selfAssertedJitMigration button#emailVerificationControl_but_send_new_code,
.auto_selfAssertedJitMigration #continue,
.auto_selfAssertedJitMigration .error.pageLevel,

.auto_SelfAssertedMobileFirstTimeMaintainMobile button#phoneVerificationControl_but_send_new_code,
.auto_SelfAssertedMobileFirstTimeMaintainMobile #continue,

.auto_SelfAssertedMobileVerifyAccountDelete button#phoneVerificationControl-ReadOnly_but_send_new_code,
.auto_SelfAssertedMobileVerifyAccountDelete .Readonly,
.auto_SelfAssertedMobileVerifyAccountDelete #continue,

.auto_SelfAssertedMobileVerifyMaintainMobile button#phoneVerificationControl-ReadOnly_but_send_new_code,
.auto_SelfAssertedMobileVerifyMaintainMobile #continue,
.auto_SelfAssertedMobileVerifyMaintainMobile .Readonly,

.auto_SelfAssertedChangePasswordVerifyMobile button#phoneVerificationControl-ReadOnly_but_send_new_code,
.auto_SelfAssertedChangePasswordVerifyMobile #continue,
.auto_SelfAssertedChangePasswordVerifyMobile .Readonly,

.auto_SelfAssertedEmailUpdateVerifyMobile button#phoneVerificationControl-ReadOnly_but_send_new_code,
.auto_SelfAssertedEmailUpdateVerifyMobile #continue,
.auto_SelfAssertedEmailUpdateVerifyMobile .Readonly,

.auto_SelfAssertedMobileVerifyResetPass button#phoneVerificationControl-ReadOnly_but_send_new_code,
.auto_SelfAssertedMobileVerifyResetPass #continue,
.auto_SelfAssertedMobileVerifyResetPass .Readonly,

.auto_SelfAssertedMultiFactorAuthentication button#phoneVerificationControl-ReadOnly_but_send_new_code,
.auto_SelfAssertedMultiFactorAuthentication #continue,
.auto_SelfAssertedMultiFactorAuthentication .Readonly,

.auto_SelfAssertedMultiFactorAuthenticationFirstTime button#phoneVerificationControl_but_send_new_code,
.auto_SelfAssertedMultiFactorAuthenticationFirstTime #continue,

.auto_selfAssertedNewPassword .error.pageLevel,
.auto_selfAssertedNewPassword .Readonly,

/* Is page in use? */
.auto_selfAssertedSecurityQuestionsUpdate #continue:disabled,
.auto_selfAssertedSecurityQuestionsUpdate #emailVerificationControl-ReadOnly_success_message,
.auto_selfAssertedSecurityQuestionsUpdate #emailVerificationControl-ReadOnly_but_change_claims,
.auto_selfAssertedSecurityQuestionsUpdate #emailReadOnly_label,
.auto_selfAssertedSecurityQuestionsUpdate #emailReadOnly,

/* Is page in use? */
.auto_selfAssertedSecuritySignUpOnly .Readonly,
.auto_selfAssertedSecuritySignUpOnly #continue:disabled,

.auto_selfAssertedSecuritySignUpOnlySetPassword .Readonly,
.auto_selfAssertedSecuritySignUpOnlySetPassword .error.pageLevel,
.auto_selfAssertedSecuritySignUpOnlySetPassword .error.itemLevel.show.forceHidden,

.auto_selfAssertedSecuritySignUpOnlyVerifyEmail button#emailVerificationControl_but_send_new_code,
.auto_selfAssertedSecuritySignUpOnlyVerifyEmail #continue,
.auto_selfAssertedSecuritySignUpOnlyVerifyEmail .error.pageLevel,

/* Is page in use? */
.selfAssertedVerifySecurityQuestion .Readonly,
.selfAssertedVerifySecurityQuestion #requiredFieldMissing,
.selfAssertedVerifySecurityQuestion #fieldIncorrect,

/* Is page in use? */
.selfAssertedVerifySecurityQuestionMaintain .Readonly,
.selfAssertedVerifySecurityQuestionMaintain #requiredFieldMissing,
.selfAssertedVerifySecurityQuestionMaintain #fieldIncorrect,

/* Is page in use? */
.selfAssertedVerifySecurityQuestionSkip .Readonly,
.selfAssertedVerifySecurityQuestionSkip #requiredFieldMissing,
.selfAssertedVerifySecurityQuestionSkip #fieldIncorrect,

/* Is page in use? */
.selfAssertedVerifySecurityQuestionSkipMaintain .Readonly,
.selfAssertedVerifySecurityQuestionSkipMaintain #requiredFieldMissing,
.selfAssertedVerifySecurityQuestionSkipMaintain #fieldIncorrect,

/* Sign In Home Page */
.auto_selfAssertedSignInSignUp .heading,
.auto_selfAssertedSignInSignUp .divider,
.auto_selfAssertedSignInSignUp #ForgotEmailExchange,
.auto_selfAssertedSignInSignUp #FederatedLoginExchange,
.auto_selfAssertedSignInSignUp #RegistrationFlowExchange,

#otp-help .modalCloseButton,
#confirmExitPopupModal .modalCloseButton,

/* === Child selectors === */
/* Hide otp-group when not in correct position */
.columnRow_Item > .otp-group,

/* === Attribute selectors === */
/* Shared page error; only hide when aria-label contains the word "domain" */
#emailVerificationControl_error_message[aria-label~="domain"],

/* === Regular selectors === */
#emailVerificationCode,
#phoneVerificationCode,
#emailVerificationControl_success_message,
#emailVerificationControl_but_change_claims,
#phoneVerificationControl_success_message,
#phoneVerificationControl_but_change_claims,
#phoneVerificationControl-ReadOnly_success_message,
#phoneVerificationControl-ReadOnly_but_change_claims,
#confirmExitModalLink,
#HomeCancelExchange,
.customCSSHidden,
[aria-hidden=true],
.helpLink.tiny {
    display: none !important;
}

/* Terms & Conditions Page */
#attributeList fieldset legend[for=TermsAccepted],

/* Account Deletion Page */
#attributeList fieldset legend[for=ConfirmDeleteAccount],
.auto_selfAssertedAccountDeletion .error.itemLevel.show,

.otp-group input[type=number]::-webkit-outer-spin-button,
.otp-group input[type=number]::-webkit-inner-spin-button,

/* === Child selectors === */
.attrEntry > #forgottenEmail,
.attrEntry > #forgottenEmail_label,
.attrEntry > #forgottenPassword,
.attrEntry > #forgottenPassword_label,
.attrEntry > #profileOptionSelect,
.attrEntry > #profileOptionSelect_label,
.attrEntry > #registrationFlow,
.attrEntry > #registrationFlow_label,
.attrEntry > #socialLoginSelect,
.attrEntry > #socialLoginSelect_label,
.verificationInfoText > div,

/* === Regular selectors === */
#cancel,
.verifying-modal,
.error.itemLevel,
.modal,
.popup-modal,
.topErrorBanner,

/* === Pseudo selectors === */
#createAccount::after,
#forgotPassword::after,
#forgotSecretAnswer::after,
#forgotUsername::after,

/* === Ajacent sibling selectors === */
input[id="FirstSecurityQuestion.answer"] + .error.itemLevel.show,
#emailVerificationCode_cloned.touched ~ .error.itemLevel,
#phoneVerificationCode_cloned.touched ~ .error.itemLevel {
    display: none;
}

/* Vendor specific Psuedo rules, so need to be separated to prevent breaking the entire rule on unsupported browsers */
input::-ms-clear,
input::-ms-reveal {
    display: none !important;
}

select::-ms-expand {
    display: none !important;
}